Notifications
Notifications are alerts triggered by certain events pertaining to a resource. To receive notifications for a specific resource, a user must have a subscription to the resource.
Objects
Notification
| Path | JSON Type | Format | Description |
|---|---|---|---|
id | string | Version 4 UUID | The notification ID |
created | string | ISO 8601 timestamp | The instant the notification was created at |
lastModified | string | ISO 8601 timestamp | The instant the notification was last modified at |
actor | object | Member | The member whose action raised this notification |
type | string | Notification Type | The type of notification |
resolved | bool | Whether or not the notification has been read |
{
"id" : "7fab5924-cb56-4f2b-99a6-c2d333bcd684",
"created" : "2026-10-29T15:55:46.2712",
"lastModified" : "2026-10-29T15:55:46.271201",
"type" : "DATASET_COMMENT",
"actor" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"resolved" : false,
"_embedded" : {
"subscriberProfile" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"channel" : {
"name" : "no-picture",
"description" : "No picture",
"picture" : "https://s.gravatar.com/avatar/357b18eea0ae8abd799a31e2ca1ad3e5?s=480&r=pg&d=https%3A%2F%2Fcdn.auth0.com%2Favatars%2Fsi.png"
},
"datasetComment" : {
"id" : "8fc9bcaf-c956-4c1b-aef4-5dd7be581c8d",
"message" : "SIT-generated comment",
"likeCount" : 0,
"created" : "2026-10-29T15:55:41.748601",
"lastModified" : "2026-10-29T15:55:41.748602",
"from" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"commentCount" : 0,
"datasetId" : "436b99b6-0c9b-4983-a6df-d4e305d25d03"
},
"dataset" : {
"id" : "436b99b6-0c9b-4983-a6df-d4e305d25d03",
"published" : "2026-10-29T15:55:35.809523",
"alias" : "analytics-tables",
"workspaceId" : "306512f2-3610-47c3-a078-f0cbb70672ac",
"source" : "no-picture",
"title" : "What tables are in our #fantastic data warehouse?",
"description" : "# Overview\nThis example is a standalone data set with no visualisation.\n\n## What tables are in my data warehouse\nOur query in this dataset selects all the tables in the same schema we have configured the workspace to use.\n```SHOW TABLES```\n\n## Notes\nThe query is database specific. The #postgres query is\n\n```SELECT * FROM pg_tables where schemaname = 'nmsvgdp'```",
"likeCount" : 0,
"commentCount" : 0,
"viewCount" : 0,
"created" : "2026-10-29T15:55:35.831317",
"score" : 1.0
},
"workspace" : {
"id" : "306512f2-3610-47c3-a078-f0cbb70672ac",
"name" : "Test Workspace [2026-10-29T15:55:34.763369674]"
}
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/notifications/7fab5924-cb56-4f2b-99a6-c2d333bcd684"
},
"delete notification" : {
"href" : "https://app.meltano.com/api/notifications/7fab5924-cb56-4f2b-99a6-c2d333bcd684",
"type" : "DELETE"
},
"channel" : {
"href" : "https://app.meltano.com/api/channels/d32f8eba-0d2f-4081-9871-069883982cea"
},
"datasetComment" : {
"href" : "https://app.meltano.com/api/comments/8fc9bcaf-c956-4c1b-aef4-5dd7be581c8d"
},
"dataset" : {
"href" : "https://app.meltano.com/api/datasets/436b99b6-0c9b-4983-a6df-d4e305d25d03"
},
"data" : {
"href" : "https://app.meltano.com/api/datasets/436b99b6-0c9b-4983-a6df-d4e305d25d03/data"
},
"workspace" : {
"href" : "https://app.meltano.com/api/workspaces/306512f2-3610-47c3-a078-f0cbb70672ac"
}
}
}
Formats
Notification Type
string
| Value | Description |
|---|---|
DATASET_ACTIVITY | Any activity on the dataset |
DATASET_ANOMALY | A detected anomaly in the dataset data |
DATASET_COMMENT | A comment on the dataset |
DATASET_LIKE | A like recorded on the dataset |
DATASET_MESSAGE | A message about the dataset |
JOB_STARTED | A job started for a pipeline |
JOB_ENDED | A job ended for a pipeline |
Requests
View all notifications
GET /api/notifications?all={all}&before={before}&since={since}
Returns all notifications for the authenticated user profile.
Query Parameters
| Parameter | Required | Format | Default Value | Description |
|---|---|---|---|---|
all | No | Boolean | false | Whether or not to return both resolved and unresolved notifications |
before | No | ISO 8601 timestamp | The instant at which the request was made | The instant to return any notifications created before |
since | No | ISO 8601 timestamp | 2021-02-11T11:12 | The instant to return any notifications created since |
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/notifications?before=2026-10-29T15%3A55%3A47.182861610&since=2021-01-01T00%3A00' -i -X GET
import requests
url = "https://app.meltano.com:443/api/notifications?before=2026-10-29T15%3A55%3A47.182861610&since=2021-01-01T00%3A00"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("GET", url, headers=headers)
print(response.text.encode('utf8'))
Response
200 OK
Notification collection with HAL links.
{
"_embedded" : {
"notifications" : [ {
"id" : "7fab5924-cb56-4f2b-99a6-c2d333bcd684",
"created" : "2026-10-29T15:55:46.2712",
"lastModified" : "2026-10-29T15:55:46.271201",
"type" : "DATASET_COMMENT",
"actor" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"resolved" : false,
"_embedded" : {
"subscriberProfile" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"channel" : {
"name" : "no-picture",
"description" : "No picture",
"picture" : "https://s.gravatar.com/avatar/357b18eea0ae8abd799a31e2ca1ad3e5?s=480&r=pg&d=https%3A%2F%2Fcdn.auth0.com%2Favatars%2Fsi.png"
},
"datasetComment" : {
"id" : "8fc9bcaf-c956-4c1b-aef4-5dd7be581c8d",
"message" : "SIT-generated comment",
"likeCount" : 0,
"created" : "2026-10-29T15:55:41.748601",
"lastModified" : "2026-10-29T15:55:41.748602",
"from" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"commentCount" : 0,
"datasetId" : "436b99b6-0c9b-4983-a6df-d4e305d25d03"
},
"dataset" : {
"id" : "436b99b6-0c9b-4983-a6df-d4e305d25d03",
"published" : "2026-10-29T15:55:35.809523",
"alias" : "analytics-tables",
"workspaceId" : "306512f2-3610-47c3-a078-f0cbb70672ac",
"source" : "no-picture",
"title" : "What tables are in our #fantastic data warehouse?",
"description" : "# Overview\nThis example is a standalone data set with no visualisation.\n\n## What tables are in my data warehouse\nOur query in this dataset selects all the tables in the same schema we have configured the workspace to use.\n```SHOW TABLES```\n\n## Notes\nThe query is database specific. The #postgres query is\n\n```SELECT * FROM pg_tables where schemaname = 'nmsvgdp'```",
"likeCount" : 0,
"commentCount" : 0,
"viewCount" : 0,
"created" : "2026-10-29T15:55:35.831317",
"score" : 1.0
},
"workspace" : {
"id" : "306512f2-3610-47c3-a078-f0cbb70672ac",
"name" : "Test Workspace [2026-10-29T15:55:34.763369674]"
}
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/notifications/7fab5924-cb56-4f2b-99a6-c2d333bcd684"
},
"delete notification" : {
"href" : "https://app.meltano.com/api/notifications/7fab5924-cb56-4f2b-99a6-c2d333bcd684",
"type" : "DELETE"
},
"channel" : {
"href" : "https://app.meltano.com/api/channels/d32f8eba-0d2f-4081-9871-069883982cea"
},
"datasetComment" : {
"href" : "https://app.meltano.com/api/comments/8fc9bcaf-c956-4c1b-aef4-5dd7be581c8d"
},
"dataset" : {
"href" : "https://app.meltano.com/api/datasets/436b99b6-0c9b-4983-a6df-d4e305d25d03"
},
"data" : {
"href" : "https://app.meltano.com/api/datasets/436b99b6-0c9b-4983-a6df-d4e305d25d03/data"
},
"workspace" : {
"href" : "https://app.meltano.com/api/workspaces/306512f2-3610-47c3-a078-f0cbb70672ac"
}
}
}, {
"id" : "b43c7bea-2b2f-419d-a9ad-274e990fee1e",
"created" : "2026-10-29T15:55:46.175674",
"lastModified" : "2026-10-29T15:55:46.175675",
"type" : "DATASET_COMMENT",
"actor" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"resolved" : false,
"_embedded" : {
"subscriberProfile" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"channel" : {
"name" : "no-picture",
"description" : "No picture",
"picture" : "https://s.gravatar.com/avatar/357b18eea0ae8abd799a31e2ca1ad3e5?s=480&r=pg&d=https%3A%2F%2Fcdn.auth0.com%2Favatars%2Fsi.png"
},
"datasetComment" : {
"id" : "491701c0-83ac-45c8-b332-26ca74420b5e",
"message" : "SIT-generated comment",
"likeCount" : 0,
"created" : "2026-10-29T15:55:41.603883",
"lastModified" : "2026-10-29T15:55:41.603883",
"from" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"commentCount" : 0,
"datasetId" : "436b99b6-0c9b-4983-a6df-d4e305d25d03"
},
"dataset" : {
"id" : "436b99b6-0c9b-4983-a6df-d4e305d25d03",
"published" : "2026-10-29T15:55:35.809523",
"alias" : "analytics-tables",
"workspaceId" : "306512f2-3610-47c3-a078-f0cbb70672ac",
"source" : "no-picture",
"title" : "What tables are in our #fantastic data warehouse?",
"description" : "# Overview\nThis example is a standalone data set with no visualisation.\n\n## What tables are in my data warehouse\nOur query in this dataset selects all the tables in the same schema we have configured the workspace to use.\n```SHOW TABLES```\n\n## Notes\nThe query is database specific. The #postgres query is\n\n```SELECT * FROM pg_tables where schemaname = 'nmsvgdp'```",
"likeCount" : 0,
"commentCount" : 0,
"viewCount" : 0,
"created" : "2026-10-29T15:55:35.831317",
"score" : 1.0
},
"workspace" : {
"id" : "306512f2-3610-47c3-a078-f0cbb70672ac",
"name" : "Test Workspace [2026-10-29T15:55:34.763369674]"
}
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/notifications/b43c7bea-2b2f-419d-a9ad-274e990fee1e"
},
"delete notification" : {
"href" : "https://app.meltano.com/api/notifications/b43c7bea-2b2f-419d-a9ad-274e990fee1e",
"type" : "DELETE"
},
"channel" : {
"href" : "https://app.meltano.com/api/channels/d32f8eba-0d2f-4081-9871-069883982cea"
},
"datasetComment" : {
"href" : "https://app.meltano.com/api/comments/491701c0-83ac-45c8-b332-26ca74420b5e"
},
"dataset" : {
"href" : "https://app.meltano.com/api/datasets/436b99b6-0c9b-4983-a6df-d4e305d25d03"
},
"data" : {
"href" : "https://app.meltano.com/api/datasets/436b99b6-0c9b-4983-a6df-d4e305d25d03/data"
},
"workspace" : {
"href" : "https://app.meltano.com/api/workspaces/306512f2-3610-47c3-a078-f0cbb70672ac"
}
}
}, {
"id" : "2436ae3f-e8af-47cb-93f6-09acb6024d06",
"created" : "2026-10-29T15:55:46.054681",
"lastModified" : "2026-10-29T15:55:46.054682",
"type" : "DATASET_COMMENT",
"actor" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"resolved" : false,
"_embedded" : {
"subscriberProfile" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"channel" : {
"name" : "no-picture",
"description" : "No picture",
"picture" : "https://s.gravatar.com/avatar/357b18eea0ae8abd799a31e2ca1ad3e5?s=480&r=pg&d=https%3A%2F%2Fcdn.auth0.com%2Favatars%2Fsi.png"
},
"datasetComment" : {
"id" : "aec3f055-d646-429b-800b-28247e48cd62",
"message" : "SIT-generated comment",
"likeCount" : 0,
"created" : "2026-10-29T15:55:41.475838",
"lastModified" : "2026-10-29T15:55:41.475838",
"from" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"commentCount" : 0,
"datasetId" : "436b99b6-0c9b-4983-a6df-d4e305d25d03"
},
"dataset" : {
"id" : "436b99b6-0c9b-4983-a6df-d4e305d25d03",
"published" : "2026-10-29T15:55:35.809523",
"alias" : "analytics-tables",
"workspaceId" : "306512f2-3610-47c3-a078-f0cbb70672ac",
"source" : "no-picture",
"title" : "What tables are in our #fantastic data warehouse?",
"description" : "# Overview\nThis example is a standalone data set with no visualisation.\n\n## What tables are in my data warehouse\nOur query in this dataset selects all the tables in the same schema we have configured the workspace to use.\n```SHOW TABLES```\n\n## Notes\nThe query is database specific. The #postgres query is\n\n```SELECT * FROM pg_tables where schemaname = 'nmsvgdp'```",
"likeCount" : 0,
"commentCount" : 0,
"viewCount" : 0,
"created" : "2026-10-29T15:55:35.831317",
"score" : 1.0
},
"workspace" : {
"id" : "306512f2-3610-47c3-a078-f0cbb70672ac",
"name" : "Test Workspace [2026-10-29T15:55:34.763369674]"
}
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/notifications/2436ae3f-e8af-47cb-93f6-09acb6024d06"
},
"delete notification" : {
"href" : "https://app.meltano.com/api/notifications/2436ae3f-e8af-47cb-93f6-09acb6024d06",
"type" : "DELETE"
},
"channel" : {
"href" : "https://app.meltano.com/api/channels/d32f8eba-0d2f-4081-9871-069883982cea"
},
"datasetComment" : {
"href" : "https://app.meltano.com/api/comments/aec3f055-d646-429b-800b-28247e48cd62"
},
"dataset" : {
"href" : "https://app.meltano.com/api/datasets/436b99b6-0c9b-4983-a6df-d4e305d25d03"
},
"data" : {
"href" : "https://app.meltano.com/api/datasets/436b99b6-0c9b-4983-a6df-d4e305d25d03/data"
},
"workspace" : {
"href" : "https://app.meltano.com/api/workspaces/306512f2-3610-47c3-a078-f0cbb70672ac"
}
}
} ]
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/notifications?before=2026-10-29T15%3A55%3A47.182861610&since=2021-01-01T00%3A00&page=0&size=20"
}
},
"page" : {
"size" : 20,
"totalElements" : 3,
"totalPages" : 1,
"number" : 0
}
}
View all notifications for a workspace
GET /api/workspaces/{workspaceId}/notifications?all={all}&before={before}&since={since}
Returns all notifications for the workspace {workspace-id}.
Prerequisites
- Workspace
{workspace-id}must exist
Query Parameters
| Parameter | Required | Format | Default Value | Description |
|---|---|---|---|---|
all | No | Boolean | Whether or not to return both resolved and unresolved notifications | |
before | No | ISO 8601 timestamp | The instant at which the request was made | The instant to return any notifications created before |
since | No | ISO 8601 timestamp | 2021-02-11T11:12 | The instant to return any notifications created since |
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/workspaces/306512f2-3610-47c3-a078-f0cbb70672ac/notifications?before=2026-10-29T15%3A55%3A47.287197816&since=2021-01-01T00%3A00' -i -X GET
import requests
url = "https://app.meltano.com:443/api/workspaces/306512f2-3610-47c3-a078-f0cbb70672ac/notifications?before=2026-10-29T15%3A55%3A47.287197816&since=2021-01-01T00%3A00"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("GET", url, headers=headers)
print(response.text.encode('utf8'))
Response
200 OK
Notification collection with HAL links.
{
"_embedded" : {
"notifications" : [ {
"id" : "7fab5924-cb56-4f2b-99a6-c2d333bcd684",
"created" : "2026-10-29T15:55:46.2712",
"lastModified" : "2026-10-29T15:55:46.271201",
"type" : "DATASET_COMMENT",
"actor" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"resolved" : false,
"_embedded" : {
"subscriberProfile" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"channel" : {
"name" : "no-picture",
"description" : "No picture",
"picture" : "https://s.gravatar.com/avatar/357b18eea0ae8abd799a31e2ca1ad3e5?s=480&r=pg&d=https%3A%2F%2Fcdn.auth0.com%2Favatars%2Fsi.png"
},
"datasetComment" : {
"id" : "8fc9bcaf-c956-4c1b-aef4-5dd7be581c8d",
"message" : "SIT-generated comment",
"likeCount" : 0,
"created" : "2026-10-29T15:55:41.748601",
"lastModified" : "2026-10-29T15:55:41.748602",
"from" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"commentCount" : 0,
"datasetId" : "436b99b6-0c9b-4983-a6df-d4e305d25d03"
},
"dataset" : {
"id" : "436b99b6-0c9b-4983-a6df-d4e305d25d03",
"published" : "2026-10-29T15:55:35.809523",
"alias" : "analytics-tables",
"workspaceId" : "306512f2-3610-47c3-a078-f0cbb70672ac",
"source" : "no-picture",
"title" : "What tables are in our #fantastic data warehouse?",
"description" : "# Overview\nThis example is a standalone data set with no visualisation.\n\n## What tables are in my data warehouse\nOur query in this dataset selects all the tables in the same schema we have configured the workspace to use.\n```SHOW TABLES```\n\n## Notes\nThe query is database specific. The #postgres query is\n\n```SELECT * FROM pg_tables where schemaname = 'nmsvgdp'```",
"likeCount" : 0,
"commentCount" : 0,
"viewCount" : 0,
"created" : "2026-10-29T15:55:35.831317",
"score" : 1.0
},
"workspace" : {
"id" : "306512f2-3610-47c3-a078-f0cbb70672ac",
"name" : "Test Workspace [2026-10-29T15:55:34.763369674]"
}
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/notifications/7fab5924-cb56-4f2b-99a6-c2d333bcd684"
},
"delete notification" : {
"href" : "https://app.meltano.com/api/notifications/7fab5924-cb56-4f2b-99a6-c2d333bcd684",
"type" : "DELETE"
},
"channel" : {
"href" : "https://app.meltano.com/api/channels/d32f8eba-0d2f-4081-9871-069883982cea"
},
"datasetComment" : {
"href" : "https://app.meltano.com/api/comments/8fc9bcaf-c956-4c1b-aef4-5dd7be581c8d"
},
"dataset" : {
"href" : "https://app.meltano.com/api/datasets/436b99b6-0c9b-4983-a6df-d4e305d25d03"
},
"data" : {
"href" : "https://app.meltano.com/api/datasets/436b99b6-0c9b-4983-a6df-d4e305d25d03/data"
},
"workspace" : {
"href" : "https://app.meltano.com/api/workspaces/306512f2-3610-47c3-a078-f0cbb70672ac"
}
}
}, {
"id" : "b43c7bea-2b2f-419d-a9ad-274e990fee1e",
"created" : "2026-10-29T15:55:46.175674",
"lastModified" : "2026-10-29T15:55:46.175675",
"type" : "DATASET_COMMENT",
"actor" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"resolved" : false,
"_embedded" : {
"subscriberProfile" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"channel" : {
"name" : "no-picture",
"description" : "No picture",
"picture" : "https://s.gravatar.com/avatar/357b18eea0ae8abd799a31e2ca1ad3e5?s=480&r=pg&d=https%3A%2F%2Fcdn.auth0.com%2Favatars%2Fsi.png"
},
"datasetComment" : {
"id" : "491701c0-83ac-45c8-b332-26ca74420b5e",
"message" : "SIT-generated comment",
"likeCount" : 0,
"created" : "2026-10-29T15:55:41.603883",
"lastModified" : "2026-10-29T15:55:41.603883",
"from" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"commentCount" : 0,
"datasetId" : "436b99b6-0c9b-4983-a6df-d4e305d25d03"
},
"dataset" : {
"id" : "436b99b6-0c9b-4983-a6df-d4e305d25d03",
"published" : "2026-10-29T15:55:35.809523",
"alias" : "analytics-tables",
"workspaceId" : "306512f2-3610-47c3-a078-f0cbb70672ac",
"source" : "no-picture",
"title" : "What tables are in our #fantastic data warehouse?",
"description" : "# Overview\nThis example is a standalone data set with no visualisation.\n\n## What tables are in my data warehouse\nOur query in this dataset selects all the tables in the same schema we have configured the workspace to use.\n```SHOW TABLES```\n\n## Notes\nThe query is database specific. The #postgres query is\n\n```SELECT * FROM pg_tables where schemaname = 'nmsvgdp'```",
"likeCount" : 0,
"commentCount" : 0,
"viewCount" : 0,
"created" : "2026-10-29T15:55:35.831317",
"score" : 1.0
},
"workspace" : {
"id" : "306512f2-3610-47c3-a078-f0cbb70672ac",
"name" : "Test Workspace [2026-10-29T15:55:34.763369674]"
}
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/notifications/b43c7bea-2b2f-419d-a9ad-274e990fee1e"
},
"delete notification" : {
"href" : "https://app.meltano.com/api/notifications/b43c7bea-2b2f-419d-a9ad-274e990fee1e",
"type" : "DELETE"
},
"channel" : {
"href" : "https://app.meltano.com/api/channels/d32f8eba-0d2f-4081-9871-069883982cea"
},
"datasetComment" : {
"href" : "https://app.meltano.com/api/comments/491701c0-83ac-45c8-b332-26ca74420b5e"
},
"dataset" : {
"href" : "https://app.meltano.com/api/datasets/436b99b6-0c9b-4983-a6df-d4e305d25d03"
},
"data" : {
"href" : "https://app.meltano.com/api/datasets/436b99b6-0c9b-4983-a6df-d4e305d25d03/data"
},
"workspace" : {
"href" : "https://app.meltano.com/api/workspaces/306512f2-3610-47c3-a078-f0cbb70672ac"
}
}
}, {
"id" : "2436ae3f-e8af-47cb-93f6-09acb6024d06",
"created" : "2026-10-29T15:55:46.054681",
"lastModified" : "2026-10-29T15:55:46.054682",
"type" : "DATASET_COMMENT",
"actor" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"resolved" : false,
"_embedded" : {
"subscriberProfile" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"channel" : {
"name" : "no-picture",
"description" : "No picture",
"picture" : "https://s.gravatar.com/avatar/357b18eea0ae8abd799a31e2ca1ad3e5?s=480&r=pg&d=https%3A%2F%2Fcdn.auth0.com%2Favatars%2Fsi.png"
},
"datasetComment" : {
"id" : "aec3f055-d646-429b-800b-28247e48cd62",
"message" : "SIT-generated comment",
"likeCount" : 0,
"created" : "2026-10-29T15:55:41.475838",
"lastModified" : "2026-10-29T15:55:41.475838",
"from" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"commentCount" : 0,
"datasetId" : "436b99b6-0c9b-4983-a6df-d4e305d25d03"
},
"dataset" : {
"id" : "436b99b6-0c9b-4983-a6df-d4e305d25d03",
"published" : "2026-10-29T15:55:35.809523",
"alias" : "analytics-tables",
"workspaceId" : "306512f2-3610-47c3-a078-f0cbb70672ac",
"source" : "no-picture",
"title" : "What tables are in our #fantastic data warehouse?",
"description" : "# Overview\nThis example is a standalone data set with no visualisation.\n\n## What tables are in my data warehouse\nOur query in this dataset selects all the tables in the same schema we have configured the workspace to use.\n```SHOW TABLES```\n\n## Notes\nThe query is database specific. The #postgres query is\n\n```SELECT * FROM pg_tables where schemaname = 'nmsvgdp'```",
"likeCount" : 0,
"commentCount" : 0,
"viewCount" : 0,
"created" : "2026-10-29T15:55:35.831317",
"score" : 1.0
},
"workspace" : {
"id" : "306512f2-3610-47c3-a078-f0cbb70672ac",
"name" : "Test Workspace [2026-10-29T15:55:34.763369674]"
}
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/notifications/2436ae3f-e8af-47cb-93f6-09acb6024d06"
},
"delete notification" : {
"href" : "https://app.meltano.com/api/notifications/2436ae3f-e8af-47cb-93f6-09acb6024d06",
"type" : "DELETE"
},
"channel" : {
"href" : "https://app.meltano.com/api/channels/d32f8eba-0d2f-4081-9871-069883982cea"
},
"datasetComment" : {
"href" : "https://app.meltano.com/api/comments/aec3f055-d646-429b-800b-28247e48cd62"
},
"dataset" : {
"href" : "https://app.meltano.com/api/datasets/436b99b6-0c9b-4983-a6df-d4e305d25d03"
},
"data" : {
"href" : "https://app.meltano.com/api/datasets/436b99b6-0c9b-4983-a6df-d4e305d25d03/data"
},
"workspace" : {
"href" : "https://app.meltano.com/api/workspaces/306512f2-3610-47c3-a078-f0cbb70672ac"
}
}
} ]
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/workspaces/306512f2-3610-47c3-a078-f0cbb70672ac/notifications?before=2026-10-29T15%3A55%3A47.287197816&since=2021-01-01T00%3A00&page=0&size=20"
}
},
"page" : {
"size" : 20,
"totalElements" : 3,
"totalPages" : 1,
"number" : 0
}
}
View a notification
GET /api/notifications/{notification-id}
Returns the notification {notification-id}.
Prerequisites
- Notification
{notification-id}must exist
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/notifications/7fab5924-cb56-4f2b-99a6-c2d333bcd684' -i -X GET
import requests
url = "https://app.meltano.com:443/api/notifications/7fab5924-cb56-4f2b-99a6-c2d333bcd684"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("GET", url, headers=headers)
print(response.text.encode('utf8'))
Response
200 OK
Notification with HAL links.
{
"id" : "7fab5924-cb56-4f2b-99a6-c2d333bcd684",
"created" : "2026-10-29T15:55:46.2712",
"lastModified" : "2026-10-29T15:55:46.271201",
"type" : "DATASET_COMMENT",
"actor" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"resolved" : false,
"_embedded" : {
"subscriberProfile" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"channel" : {
"name" : "no-picture",
"description" : "No picture",
"picture" : "https://s.gravatar.com/avatar/357b18eea0ae8abd799a31e2ca1ad3e5?s=480&r=pg&d=https%3A%2F%2Fcdn.auth0.com%2Favatars%2Fsi.png"
},
"datasetComment" : {
"id" : "8fc9bcaf-c956-4c1b-aef4-5dd7be581c8d",
"message" : "SIT-generated comment",
"likeCount" : 0,
"created" : "2026-10-29T15:55:41.748601",
"lastModified" : "2026-10-29T15:55:41.748602",
"from" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"commentCount" : 0,
"datasetId" : "436b99b6-0c9b-4983-a6df-d4e305d25d03"
},
"dataset" : {
"id" : "436b99b6-0c9b-4983-a6df-d4e305d25d03",
"published" : "2026-10-29T15:55:35.809523",
"alias" : "analytics-tables",
"workspaceId" : "306512f2-3610-47c3-a078-f0cbb70672ac",
"source" : "no-picture",
"title" : "What tables are in our #fantastic data warehouse?",
"description" : "# Overview\nThis example is a standalone data set with no visualisation.\n\n## What tables are in my data warehouse\nOur query in this dataset selects all the tables in the same schema we have configured the workspace to use.\n```SHOW TABLES```\n\n## Notes\nThe query is database specific. The #postgres query is\n\n```SELECT * FROM pg_tables where schemaname = 'nmsvgdp'```",
"likeCount" : 0,
"commentCount" : 0,
"viewCount" : 0,
"created" : "2026-10-29T15:55:35.831317",
"score" : 1.0
},
"workspace" : {
"id" : "306512f2-3610-47c3-a078-f0cbb70672ac",
"name" : "Test Workspace [2026-10-29T15:55:34.763369674]"
}
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/notifications/7fab5924-cb56-4f2b-99a6-c2d333bcd684"
},
"delete notification" : {
"href" : "https://app.meltano.com/api/notifications/7fab5924-cb56-4f2b-99a6-c2d333bcd684",
"type" : "DELETE"
},
"channel" : {
"href" : "https://app.meltano.com/api/channels/d32f8eba-0d2f-4081-9871-069883982cea"
},
"datasetComment" : {
"href" : "https://app.meltano.com/api/comments/8fc9bcaf-c956-4c1b-aef4-5dd7be581c8d"
},
"dataset" : {
"href" : "https://app.meltano.com/api/datasets/436b99b6-0c9b-4983-a6df-d4e305d25d03"
},
"data" : {
"href" : "https://app.meltano.com/api/datasets/436b99b6-0c9b-4983-a6df-d4e305d25d03/data"
},
"workspace" : {
"href" : "https://app.meltano.com/api/workspaces/306512f2-3610-47c3-a078-f0cbb70672ac"
}
}
}
Refresh notifications
PUT /api/notifications?since={since}&markAsResolved={markAsResolved}
Returns new notifications for the authenticated user profile, optionally marking existing notifications as resolved up to the moment the request was made or the supplied since parameter.
Query Parameters
| Parameter | Required | Format | Default Value | Description |
|---|---|---|---|---|
since | No | ISO 8601 timestamp | The instant at which the request was made | The instant to fetch any new notifications from |
markAsResolved | No | Boolean | true | Whether or not to mark notifications created up to since as resolved |
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/notifications?since=2026-10-29T15%3A55%3A51.042544' -i -X PUT \
-H 'Content-Type: application/json'
import requests
url = "https://app.meltano.com:443/api/notifications?since=2026-10-29T15%3A55%3A51.042544"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("PUT", url, headers=headers)
print(response.text.encode('utf8'))
Response
200 OK
Notification collection with HAL links.
{
"_embedded" : {
"notifications" : [ {
"id" : "71fc5800-ebce-47ca-b1ac-bcaac37f2e1e",
"created" : "2026-10-29T15:55:57.505602",
"lastModified" : "2026-10-29T15:55:57.505603",
"type" : "DATASET_COMMENT",
"actor" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"resolved" : false,
"_embedded" : {
"subscriberProfile" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"channel" : {
"name" : "no-picture",
"description" : "No picture",
"picture" : "https://s.gravatar.com/avatar/357b18eea0ae8abd799a31e2ca1ad3e5?s=480&r=pg&d=https%3A%2F%2Fcdn.auth0.com%2Favatars%2Fsi.png"
},
"datasetComment" : {
"id" : "a2fae1dc-7b93-4a03-a2b6-222427546f96",
"message" : "SIT-generated comment",
"likeCount" : 0,
"created" : "2026-10-29T15:55:52.085832",
"lastModified" : "2026-10-29T15:55:52.085833",
"from" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"commentCount" : 0,
"datasetId" : "436b99b6-0c9b-4983-a6df-d4e305d25d03"
},
"dataset" : {
"id" : "436b99b6-0c9b-4983-a6df-d4e305d25d03",
"published" : "2026-10-29T15:55:35.809523",
"alias" : "analytics-tables",
"workspaceId" : "306512f2-3610-47c3-a078-f0cbb70672ac",
"source" : "no-picture",
"title" : "What tables are in our #fantastic data warehouse?",
"description" : "# Overview\nThis example is a standalone data set with no visualisation.\n\n## What tables are in my data warehouse\nOur query in this dataset selects all the tables in the same schema we have configured the workspace to use.\n```SHOW TABLES```\n\n## Notes\nThe query is database specific. The #postgres query is\n\n```SELECT * FROM pg_tables where schemaname = 'nmsvgdp'```",
"likeCount" : 0,
"commentCount" : 0,
"viewCount" : 0,
"created" : "2026-10-29T15:55:35.831317",
"score" : 1.0
},
"workspace" : {
"id" : "306512f2-3610-47c3-a078-f0cbb70672ac",
"name" : "Test Workspace [2026-10-29T15:55:34.763369674]"
}
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/notifications/71fc5800-ebce-47ca-b1ac-bcaac37f2e1e"
},
"delete notification" : {
"href" : "https://app.meltano.com/api/notifications/71fc5800-ebce-47ca-b1ac-bcaac37f2e1e",
"type" : "DELETE"
},
"channel" : {
"href" : "https://app.meltano.com/api/channels/d32f8eba-0d2f-4081-9871-069883982cea"
},
"datasetComment" : {
"href" : "https://app.meltano.com/api/comments/a2fae1dc-7b93-4a03-a2b6-222427546f96"
},
"dataset" : {
"href" : "https://app.meltano.com/api/datasets/436b99b6-0c9b-4983-a6df-d4e305d25d03"
},
"data" : {
"href" : "https://app.meltano.com/api/datasets/436b99b6-0c9b-4983-a6df-d4e305d25d03/data"
},
"workspace" : {
"href" : "https://app.meltano.com/api/workspaces/306512f2-3610-47c3-a078-f0cbb70672ac"
}
}
} ]
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/notifications?since=2026-10-29T15%3A55%3A51.042544&page=0&size=20"
}
},
"page" : {
"size" : 20,
"totalElements" : 1,
"totalPages" : 1,
"number" : 0
}
}
Delete a notification
DELETE /api/notifications/{notification-id}
Deletes the notification {notification-id}.
Prerequisites
- Notification
{notification-id}must exist
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/notifications/7fab5924-cb56-4f2b-99a6-c2d333bcd684' -i -X DELETE
import requests
url = "https://app.meltano.com:443/api/notifications/7fab5924-cb56-4f2b-99a6-c2d333bcd684"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("DELETE", url, headers=headers)
print(response.text.encode('utf8'))
Response
204 No Content
No response body provided.